@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url('https://fonts.googleapis.com/css?family=Roboto:300');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-style: normal;
}
/* .poppins-thin {
    font-family: "Poppins", sans-serif;
    font-weight: 100;
    font-style: normal;
  }
  
  .poppins-regular {
    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
  } */
  
.container1 div {
    display:inline-block;
    overflow:hidden;
    white-space:nowrap;
  }
  .btn.btn-primary {
    background: #d08c23;
    color: white;
}
  .container1 div:first-of-type {    /* For increasing performance 
                         ID/Class should've been used. 
                         For a small demo 
                         it's okaish for now */
    animation: showup 7s infinite;
  }
  
  /*.container1 div:last-of-type {*/
  /*  width:0px;*/
  /*  animation: reveal 5s infinite;*/
  /*}*/
  
 .container1  div:last-of-type span {
    margin-left:-375px;
    animation: slidein 5s infinite;
  }
  
  @keyframes showup {
      0% {opacity:1;}
      20% {opacity:1;}
      80% {opacity:1;}
      100% {opacity:1;}
  }
  
  @keyframes slidein {
      0% { margin-left:-375px; }
      20% { margin-left:-375px; }
      35% { margin-left:0px; }
      100% { margin-left:0px; }
  }
  
  @keyframes reveal {
      0% {opacity:1;width:0px;}
      20% {opacity:1;width:0px;}
      30% {width:375px;}
      80% {opacity:1;}
      100% {opacity:0;width:375px;}
  }
  
  
 .container1 p {
    font-size:20px;
    color:#999;
    margin-top:200px;
  }
a{
    color: white;
    text-decoration: none;
}
body{
    background-color: #080808;
}
.hero-contain {
    position: absolute;
    bottom: 35%;
    left: 35%;
    text-align: left;
    /* backdrop-filter: blur(5px); */
    padding: 50px 10px;
    color: white;
    width: 100%;
    font-weight: 100;
}

.container1 {
    
    align-items: center;
    box-sizing: border-box;

    background: var(--bg-color);

}

.typewriter {

    color: #fff;

    position: relative;
    margin: 0;
    top: 50%;
    transform: translateY(-50%);
}

.typewriter span {
    color: var(--text-color);
    text-transform: uppercase;
    padding: 10px;
    border-right: solid var(--text-color) 10px;
    animation: cursor 1s ease-in-out infinite;
}

@keyframes cursor {
    from {
        border-color: var(--text-color);
    }

    to {
        border-color: transparent;
    }
}

@media (max-width: 576px) {
    /* .typewriter { font-size: 24px; } */
}

@media (max-width: 768px) {
    /* .typewriter { font-size: 36px; } */
}
.logo{
    width: 100px;
}
#header-section {
    position: relative;
    overflow: hidden;
    min-height: 100vh;
    /* width: 100vw; */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
}

/* Video Styling */
#header-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    
}

/* Navigation Bar Styling */
#navigation-bar {
    padding: 10px 30px;
    background: rgba(27, 27, 27, 0.69);
    border-radius: 50px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(7px);
    -webkit-backdrop-filter: blur(7px);
    border: 1px solid rgba(27, 27, 27, 0.31);
    position: fixed;
    top: 15px;
    width: 90%;
    display: inline-flex;
    justify-content: space-between;
    z-index: 1;
}

#navigation-bar ul {
    list-style: none;
    display: flex;
    gap: 20px;
    align-items: center;
    justify-content: space-evenly;
    padding-inline-start: 0px;
}

#navigation-bar ul li {
    display: flex;
    align-items: center;
    justify-content: center;
}

#navigation-bar a {
    text-decoration: none;
    color: #9c9c9c;
    font-size: 18px;
    text-transform: uppercase;
}

#navigation-bar a:hover {
    color: #ffffff;
    transform: scale(1.1);
    transition: transform 0.2s, color 0.2s;
}


/* ======================= scrolling image ========================= */

.scroll-item {
    max-width: 1100px;
    margin: 0 auto;
    width: 100%;
}

.scroll-item img {
    width: 100%;
    height: 100%;
    display: block;
}

.container {
    width: 100%;
    min-height: 100vh;
    background: rgb(8 8 8);
    text-align: center;
    text-transform: capitalize;
    margin-top: 50px;
}

.scroll-card-wrapper {
    max-width: 1200px;
    margin: 0 auto;
    width: 100%;
}

.scrll-box {
    border-radius: 30px;
    overflow: hidden;
}

.scrll-box .mob-img {
    display: none;
    background-color: #000;
}

.scroll-card-list {
    padding: 0 20px;
}

@media (max-width: 768px) {
    .scrll-box .desktop-img {
        display: none;
    }

    .scrll-box .mob-img {
        display: block;
    }

    .scrll-box {
        border-radius: unset;
    }
}

section{
    background-color: black;
    /* padding: 50px 20px; */
}
.morphism {
    background-color: rgb(12, 129, 4);

}
.morphism li {    
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: masonry;
    width: 100%;
    gap: 10px;      
    
}
.morphism button{
    background: rgba(24, 177, 34, 0.05);
box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
backdrop-filter: blur( 13.5px );
-webkit-backdrop-filter: blur( 13.5px );
border-radius: 20px;
border: 1px solid rgba( 255, 255, 255, 0.18 );
color: white;
font-size: 15px;
padding: 5px 10px;
width: fit-content;
}
.workstation-title {
    width: 779px;
  
    font-size: 56px;
    line-height: 120%;
    text-align: center;
    letter-spacing: -.03em;
    color: #fff;
    margin-bottom: 40px;
}
.workstation-section {
    padding-top: 96px;
    padding-bottom: 163px;
    display: flex
;
    flex-direction: column;
    align-items: center;
    max-width: 2000px;
    margin-inline: auto;
}
 .workstation-title .extraordinary-text {
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    /* background-size: 100% 100%, 200% 100%; */
    background-image: linear-gradient(to top, rgba(255, 255, 255, 100%) 0%, rgba(255, 255, 255, 100%) 33%, rgba(255, 255, 255, 0%) 66%, rgba(255, 255, 255, 0%) 100%), linear-gradient(to right, #d08c23 5%, #d08c23 33%, #ffffff 67%, #d08c23 95%);
    background-size: 100% 300%, 200% 100%;
    background-position-x: 0%, 0%;
    background-position-y: 100%, 0%;
    background-repeat: no-repeat, no-repeat;
}
.workstation-section .workstation-subtitle {
    width: 651px;
   
    font-size: 20px;
    line-height: 140%;
    text-align: center;
    color: #9c9c9c;
    margin-bottom: 80px;
}
.workstation-section .workstation-video {
    width: calc(100% - 272px);
    scale: .382;
    border-radius: 24px;
    transform-origin: top;
}
.dst{
   background-image: url(/img/Artboard1.jpg), linear-gradient(to bottom, rgb(8 8 8) 0%, rgb(8 8 8) 100%);
    /* background-size: 100%, calc(100% - 348px) 30%; */
    background-repeat: no-repeat;
    height: 100vh;
    display: flex
;
    flex-direction: column;
    justify-content: center;
    background-position: right;
    background-size: contain;
    align-items: flex-start;
    padding: 50px 50px;
}
.dst{
    color:white;
}
.dst span{
   
    font-weight: 500;
    font-size: 24px;
    line-height: 120%;
    color: #d08c23 ;
    margin-bottom: 16px;
}
.dst h2{
    width: 60%;
    
    
    font-weight: 100;
    font-size: 56px;
    line-height: 120%;
    letter-spacing: -.03em;
    color: #fff;
    margin-bottom: 20px;
}
.dst p{
    width: 46%;
    /* height: 56px; */
    font-weight: 400;
    font-size: 18px;
    line-height: 140%;
    color: #bfbfbf;
    margin-bottom: 10px;
    text-align: justify;
}
.dst a{
    color: #fff;
    background-color: #31b261;
    width: max-content;
     border-radius: 24px;
    line-height: 20px;
    transition: border-color .3s linear;
    border: 1.6px solid #31b261;
  
    font-size: 20px;
    line-height: 120%;
    text-align: center;
    padding: 5px;
    text-decoration: none;
   }
   .line {
    width: 100%;
    max-width: 800px;
    height: 8px;
    margin: 0 0 10px 0;
    position: relative;
    display: inline-block;
    background-color: rgba(255,255,255,1);
  }
  
  .orangeWrapper {
    padding:0;
  }
  .orange{
    display: inline-flex
;
    flex-direction: column;
   color: white;
    align-items: center;
  }
  .foot {
    display: flex
;
    justify-content: space-evenly;
    /* align-items: center; */
    gap: 10px;
    padding: 100px 50px;
    width: 100%;
}
.foot div{
    width: 33%;
}
.contact {
    display: flex
;
    flex-direction: column;
    /* flex-wrap: nowrap; */
    gap: 15px;
}
.contact a{
    color: white;
    text-decoration: underline;
}
footer {
    align-items: center;
    text-align: center;
    display: flex
;
    flex-direction: column;
    
}
.popu h2 {
    margin-top: 15px;
    font-size: 22px;
}
.popu input {
    width: 90%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 5px;
}
.popu button {
    width: 100%;
    padding: 10px;
    background-color: #28a745;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
}
.popu button:hover {
    background-color: #218838;
}

/* contact */
.contact{
    display: flex
;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* height: 300px;
    background-image: url(https://elementalfixtures.com/assets/images/banner.webp);
    background-size: cover;
    background-image: linear-gradient(145deg, rgb(0 0 0 / 75%) 0%, rgb(173 31 39 / 75%) 100%), 
                url('/img/Artboard\ 2.png');
    background: linear-gradient(145deg, rgb(0 0 0 / 75%) 0%, rgb(173 31 39 / 75%) 100%); */
    position: absolute;
    top: 20;
    left: 0;
    width: 100%;
    
    object-fit: cover;
    z-index: -1;
}
#header-sections {
    position: relative;
    overflow: hidden;
    min-height: 500px;
    /* width: 100vw; */
    display: flex
;
    align-items: center;
    justify-content: center;
    z-index: 2;
}
.contf{
    text-align: center;
    padding: 50px;
}
.contf ul{
    display: flex;
    margin-top: 20px;
    align-items: center;
}
.contff .container{
    background-color: black;
    height: 100%;
    min-height: unset;
}
.nav-link{
    width: 35px;
    background: #ffffff;
}
.social-01 li{
    list-style: none;
    display: flex;
}
.social-01 .nav-link {
    color: #000000;
    padding: 2px 0;
    margin-right: 10px;
    font-size: 1em;
    background: #ffffff;
    border-radius: 4px;
    width: 35px;
    height: 35px;
    line-height: 32px;
    text-align: center;
    transition: all .4s ease;
}
 .social-01 li{
    width: unset !important;
}
.contff li{
    list-style: none;
    text-align: left;
    width: 50%;
}
.contff li .container{
 width: 100%;
}
.contff li .container .row{
    width: 100%;
    margin: 0;
   }
   .panel{
    background: #080808;
box-shadow: 0 8px 32px 0 rgba(10, 11, 13, 0.37);
backdrop-filter: blur( 0.5px );
-webkit-backdrop-filter: blur( 0.5px );
border-radius: 10px;
/* border: 1px solid rgba( 255, 255, 255, 0.18 ); */
color: white;
   }
   .contactf {
    display: flex;
    flex-direction: column;
    /* align-items: flex-start; */
    gap: 10px;
    border-left: 1px solid white;
    border-right: 1px solid white;
}
.contff h4{
    margin: 0;
}
.workstation-title .extraordinary-text{
    
    font-weight: 300;font-size: larger;
}
.workstation-section{
    display: none;
    padding: 50px 10px;
}
.contactf .contff li {
    text-align: center;
    width: 100%;
    font-size: 14px;
    padding: 15px 0px;
}
.subs .nav.social-01 {
    display: flex
;
    justify-content: center;
    align-items: center;
    font-size: 12px;
}
.subs .popu p{
    font-size: 17px;
}
.container2{
    padding: 20px 100px;
    text-align: center;
   background: black;
}
.panel-primary {
    border-color: #000000 !important;
}
.popup p{
    font-size: 12px;
}
input.btn.btn-primary {
    background: #d08c23;
    color: white;
}
div#popup li {
    width: 48%;
}
.servicesp {
   font-size: 17px;
    color: white;
    margin: 0px 50px;
    text-align: justify;
    position: relative;
    z-index: 9999999;
    margin-top: -70px;
}
.form-group {
    margin-bottom:0px !important;
    text-align: left;
    display: flex
;
    flex-direction: column;
}
.popup ul {
    display: flex
;
    list-style: none;
    margin-bottom: 0px;
}
.desktop-img {
        display: block;
        width:100%;
        margin-top:50px;
    }
    .mob-img {
    display: none;
    width:100%;
    background-color: #000;
    margin-top:50px;
}
.form-group textarea {
    color: black;
}